package org.project;

import org.project.location.Location;

import java.util.ArrayList;
import java.util.List;
import org.project.entity.enemies.Enemy;
import org.project.utils.ConsoleColors;

public class Main {
    public static void main(String[] args) {
        // TODO: ADD LOCATIONS TO YOUR GAME
        List<Location> locations = new ArrayList<>();

        Location village = new Location("Village", new ArrayList<>(), new ArrayList<Enemy>());
        Location forest = new Location("Forest", new ArrayList<>(), new ArrayList<Enemy>());
        Location cave = new Location("Cave", new ArrayList<>(), new ArrayList<Enemy>());
        Location dungeon = new Location("Dungeon", new ArrayList<>(), new ArrayList<Enemy>());
        Location castle = new Location("Castle", new ArrayList<>(), new ArrayList<Enemy>());

        // TODO: IMPLEMENT GAMEPLAY
        //The movement paths between locations
        village.getLocations().add(forest);

        forest.getLocations().add(village);
        forest.getLocations().add(cave);

        cave.getLocations().add(forest);
        cave.getLocations().add(dungeon);

        dungeon.getLocations().add(cave);
        dungeon.getLocations().add(castle);

        castle.getLocations().add(dungeon);

        locations.add(village);
        locations.add(forest);
        locations.add(cave);
        locations.add(dungeon);
        locations.add(castle);

        //THe first location in the world map
        Location currentLocation = locations.get(0);
        System.out.println(ConsoleColors.BRIGHT_GREEN + "Welcome to the adventure!" + ConsoleColors.RESET);
        System.out.println(ConsoleColors.BRIGHT_CYAN + "You are currently in: " + currentLocation.getName() + ConsoleColors.RESET);
        System.out.println(ConsoleColors.BRIGHT_YELLOW + "The world is ready. Gameplay will continue from here." + ConsoleColors.RESET);

    }
}